.main{
	height: calc(100vh - 50px);
	padding-left: 100px;
	padding-right: 275px;
	background: #333333;
	overflow-y: auto;
	z-index: 11;
	transition: ease-in-out 0.2s;
	.main-content{
		// display: flex;
		// align-content: center;
		// align-items: center;
		// justify-content: center;
		height: 100%;
		// position: relative;
		z-index: 1;
		.action-control{
				// position: absolute;
				// bottom: 2%;
				// left: 20px;
				// right: 20px;
				display: flex;
				align-items: center;
				padding-right: 20px;
				padding-left: 20px;
				margin-top: 13px;
				.btn-redo,
				.btn-undo{
						background: transparent;
						outline: none;
						box-shadow: none;
						border: none;
						font-family: Roboto;
						font-style: normal;
						font-weight: normal;
						font-size: 12px;
						line-height: 14px;
						color: #999999;
						display: flex;
						align-items: center;
						margin-right: 20px;
						cursor: pointer;
						svg{
								margin-right: 6px;
								path{
										transition: all 0.2s;
								}
						}
						&:hover{
								color: white;
								svg{
										path{
												fill: white;
												transition: all 0.2s;
										}
								}
						}
				}
				.act-room{
						margin-left: auto;
						display: flex;
						align-items: center;
						background: #111111;
						border: 1px solid #333333;
						box-sizing: border-box;
						border-radius: 4px;
						padding: 4px;
						.btn{
								background-color: transparent;
								outline: none;
								box-shadow: none;
								border: none;
								display: flex;
								align-items: center;
								cursor: pointer;
								transition: all 0.2s;
								&:hover{
										color: white;
										svg{
												path{
														fill: white;
												}
										}
								}
						}
						.form-control{
								font-family: Roboto;
								font-style: normal;
								font-weight: normal;
								font-size: 12px;
								line-height: 14px;
								color: #999999;
								padding: 0 6px;
						}
				}
		}
		.view-wp{
			display: flex;
			align-content: center;
			align-items: center;
			justify-content: center;
			height: calc(100% - 50px);
			overflow: auto;
			padding: 0 50px;
			// &::-webkit-scrollbar {
            //     width: 4px;
            // }
               
            // &::-webkit-scrollbar-track {
                
            // }
            
            // &::-webkit-scrollbar-thumb {
            //     background: #333333;
            //     border-radius: 2px;
            // }
			.item{
				.child-item{
					position: absolute;
					top: 0;
					left: 0;
					right: 0;
					bottom: 0;
				}
			}
		}
	}
}
.del-elm{
	position: absolute;
	top: 10px;
	right: 10px;
	cursor: pointer;
	path{
		fill: gray;
	}
	@media (max-width: 1920px) {
		width: 15px;
		height: 15px;
	}
}
.hidden{
	display: none;
}
.layout-sticky{
	display: none;
	position: fixed;
	z-index: 101;
}
.layout-sticky.show{
	display: block;
}
.action-content{
	display: none;
	padding: 3px 0;
	position: fixed;
	top: 40%;
	left: 40%;
	background: #111111;
	border: 1px solid #333333;
	box-sizing: border-box;
	border-radius: 4px;
	width: 150px;
	z-index: 101;
	&::before{
		content: '';
		position: absolute;
		top: 0;
		left: 50%;
		transform: translate(-50%, -90%);
		border-left: 8px solid transparent;
		border-right: 8px solid transparent;
		border-bottom: 8px solid #111111;
	}
	.dropdown-item{
		font-style: normal;
		font-weight: normal;
		font-size: 10px;
		line-height: 12px;
		color: #999999;
		a{
			display: block;
			padding: 5px;
			i{
				margin-right: 10px;
			}
		}
	}
	label,
	a{
		font-family: Roboto;
		color: #999999;
		font-size: 12px;
		text-decoration: none;
		display: block;
		cursor: pointer;
		padding: 8px 15px;
		transition: all 0.2s;
		i{
			margin-right: 10px;
		}
		&:hover{
			color: white;
			transition: all 0.2s;
		}
	}
}
.action-content.show{
	display: block;
}

.box-udf{
		position: absolute;
		z-index: 1;
		width: 100%;
		height: 100%;
		background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23F5A623FF' stroke-width='2' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

#right_panel {
	position: absolute;
	width: 96px;
	padding-left: 4px;
	height: 100%;
	right: 0;
	background-color: #f0f0f0;
}

#resize {
	background-color: #ccc;
	position: absolute;
	left: 0;
	width: 4px;
	height: 100%;
	cursor: w-resize;
}
.frame22{
	display: flex;
	flex-wrap: wrap;
	#a,
	#b,
	#c{
		position: static !important;
		width: 100% !important;
		height: 33.333333% !important;
		display: block;
	}
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
	#c{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
}
.frame23{
	display: flex;
	flex-wrap: wrap;
	#a,
	#b,
	#c{
		position: static !important;
		width: 100% !important;
		height: 33.333333% !important;
		display: block;
	}
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#c{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
	#a{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
}
.frame24{
	display: flex;
	flex-wrap: wrap;
	#a,
	#b,
	#c{
		position: static !important;
		display: block;
	}
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		width: 50% !important;
		height: 80% !important;
	}
	#c{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
		width: 50% !important;
		height: 80% !important;
	}
	#a{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
		height: 20% !important;
		width: 100% !important;
	}
}
.frame25{
	display: flex;
	flex-wrap: wrap;
	#a,
	#b,
	#c{
		position: static !important;
		display: block;
	}
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		width: 50% !important;
		height: 80% !important;
	}
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
		width: 50% !important;
		height: 80% !important;
	}
	#c{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
		height: 20% !important;
		width: 100% !important;
	}
}
.frame28{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: 24% center;
	}
	#b{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: 76% center;
	}
}
.frame26{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#b{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
}
.frame27{
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#a{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
}
.frame29{
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: 76% center;
	}
	#a{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: 24% center;
	}
}
.frame30{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#b{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
	#c{
		background: url('../../assets/icon/text-white.png') #171D42 no-repeat;
		background-position: center center;
		border-radius: 20px;
	}
}
.frame31{
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
	#a{
		background: url('../../assets/icon/text.png') #F5A623 no-repeat;
		background-position: center center;
	}
	#c{
		background: url('../../assets/icon/text-white.png') #171D42 no-repeat;
		background-position: center center;
		border-radius: 20px;
	}
}
.frame32{
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
}
.frame33{
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
	}
}
.frame34{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		z-index: 1;
	}
	#b{
		background: url('../../assets/icon/img-gray.png') #171D42 no-repeat;
		background-position: 95% center;
	}
}
.frame35{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		z-index: 1;
	}
	#b{
		background: url('../../assets/icon/text-white.png') #171D42 no-repeat;
		background-position: 5% center;
	}
}
.frame36{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		z-index: 1;
	}
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
	#c{
		background: #171D42;
		background-position: center center;
	}
}
.frame37{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		transform: rotate(-10deg);
		z-index: 1;
	}
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
		transform: rotate(10deg);
	}
	#c{
		background: #171D42;
		background-position: center center;
	}
}
.frame38{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		z-index: 1;
	}
	#b{
		background: url('../../assets/icon/img-white.png') #C8C8C8 no-repeat;
		background-position: center center;
	}
}
.frame39{
	#a{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		clip-path: polygon(25% 0%, 99% 0, 74% 100%, 0% 100%);
	}
	#b{
		background: url('../../assets/icon/img-gray.png') white no-repeat;
		background-position: center center;
		clip-path: polygon(26% 0, 100% 0, 75% 100%, 1% 100%);
	}
	#c{
		background: #171D42;
		background-position: center center;
		z-index: 1;
	}
}
.vcedit-text{
	// display: flex;
	// align-items: center;
	// justify-content: center;
	// height: 100%;
	// position: relative;
	// z-index: 90;
	padding: 0 10px;
	img{
		width: 100%;
		height: 100%;
	}
}
.vcedit-icon{
	width: 100%;
	height: 100%;
}
.gblcbk{
	cursor: all-scroll !important;
	border: dashed 1px #F5A623 !important;
	.square{
		border-color: #F5A623 !important;
		background-color: #F5A623 !important;
	}
}